For the complete documentation index, see llms.txt. This page is also available as Markdown.

Rewards

Reward management operations

Get user rewards

get
/api/rewards

Retrieve rewards for the authenticated user with optional filtering

Query parameters
statusstring · enumOptional

Filter rewards by status

Possible values:
limitstringOptional

Maximum number of results per request

Default: 100
offsetstringOptional

Number of results to skip

Default: 0
Responses
200

List of rewards

application/json
okbooleanOptionalExample: true
totalnumberOptional

Total number of rewards matching the filter

get/api/rewards
GET /api/rewards HTTP/1.1
Host: rewards.decentraland.org
Accept: */*
{
  "ok": true,
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "campaign_id": "123e4567-e89b-12d3-a456-426614174000",
      "campaign_key": "123e4567-e89b-12d3-a456-426614174000",
      "user": "0x1234567890123456789012345678901234567890",
      "status": "assigned",
      "chain_id": "137",
      "transaction_hash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
      "block_number": 12345678,
      "airdrop_type": "CollectionV2IssueToken",
      "target": "0x1234567890123456789012345678901234567890",
      "value": "1",
      "priority": 1,
      "group": "premium",
      "token": "Summer Hat",
      "image": "https://example.com/image.png",
      "rarity": "rare",
      "category": "hat",
      "from_referral": "0x1234567890123456789012345678901234567890",
      "payload": "0x1234567890abcdef",
      "signature": "0xabcdef1234567890",
      "expires_at": "2024-12-31T23:59:59Z",
      "created_at": "2024-01-01T00:00:00Z",
      "updated_at": "2024-01-01T00:00:00Z",
      "assigned_at": "2024-01-01T00:00:00Z"
    }
  ],
  "total": 1
}

Assign reward

post
/api/rewards

Assign a reward to a user using a campaign key

Body
campaign_keystring · min: 1Required

Campaign key

Example: summer2024
beneficiarystring · addressOptional

User address to assign the reward to

Example: 0x1234567890123456789012345678901234567890
captcha_idstring · uuidOptional

Captcha identifier

Example: 123e4567-e89b-12d3-a456-426614174000
captcha_valuestring · min: 6 · max: 6Optional

Captcha value

Example: ABC123
catalyststring · uriOptional

Catalyst URL where the user is connected

Example: https://peer.decentraland.org
assign_targetstring · addressOptional

Target contract for reward assignment

Example: 0x1234567890123456789012345678901234567890
assign_valuestring · min: 1Optional

Value for reward assignment

Example: 1
assign_groupstring · min: 1Optional

Group for reward assignment

Example: premium
Responses
200

Reward assigned successfully

application/json
okbooleanOptionalExample: true
post/api/rewards
POST /api/rewards HTTP/1.1
Host: rewards.decentraland.org
Content-Type: application/json
Accept: */*
Content-Length: 313

{
  "campaign_key": "summer2024",
  "beneficiary": "0x1234567890123456789012345678901234567890",
  "captcha_id": "123e4567-e89b-12d3-a456-426614174000",
  "captcha_value": "ABC123",
  "catalyst": "https://peer.decentraland.org",
  "assign_target": "0x1234567890123456789012345678901234567890",
  "assign_value": "1",
  "assign_group": "premium"
}
{
  "ok": true,
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "campaign_id": "123e4567-e89b-12d3-a456-426614174000",
      "campaign_key": "123e4567-e89b-12d3-a456-426614174000",
      "user": "0x1234567890123456789012345678901234567890",
      "status": "assigned",
      "chain_id": "137",
      "transaction_hash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
      "block_number": 12345678,
      "airdrop_type": "CollectionV2IssueToken",
      "target": "0x1234567890123456789012345678901234567890",
      "value": "1",
      "priority": 1,
      "group": "premium",
      "token": "Summer Hat",
      "image": "https://example.com/image.png",
      "rarity": "rare",
      "category": "hat",
      "from_referral": "0x1234567890123456789012345678901234567890",
      "payload": "0x1234567890abcdef",
      "signature": "0xabcdef1234567890",
      "expires_at": "2024-12-31T23:59:59Z",
      "created_at": "2024-01-01T00:00:00Z",
      "updated_at": "2024-01-01T00:00:00Z",
      "assigned_at": "2024-01-01T00:00:00Z"
    }
  ]
}

Get reward details

get
/api/rewards/{reward_id}

Retrieve detailed information about a specific reward

Path parameters
reward_idstring · uuidRequired

Reward ID

Responses
200

Reward details

application/json
okbooleanOptionalExample: true
get/api/rewards/{reward_id}
GET /api/rewards/{reward_id} HTTP/1.1
Host: rewards.decentraland.org
Accept: */*
{
  "ok": true,
  "data": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "campaign_id": "123e4567-e89b-12d3-a456-426614174000",
    "campaign_key": "123e4567-e89b-12d3-a456-426614174000",
    "user": "0x1234567890123456789012345678901234567890",
    "status": "assigned",
    "chain_id": "137",
    "transaction_hash": "0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890",
    "block_number": 12345678,
    "airdrop_type": "CollectionV2IssueToken",
    "target": "0x1234567890123456789012345678901234567890",
    "value": "1",
    "priority": 1,
    "group": "premium",
    "token": "Summer Hat",
    "image": "https://example.com/image.png",
    "rarity": "rare",
    "category": "hat",
    "from_referral": "0x1234567890123456789012345678901234567890",
    "payload": "0x1234567890abcdef",
    "signature": "0xabcdef1234567890",
    "expires_at": "2024-12-31T23:59:59Z",
    "created_at": "2024-01-01T00:00:00Z",
    "updated_at": "2024-01-01T00:00:00Z",
    "assigned_at": "2024-01-01T00:00:00Z"
  }
}

Last updated